39 votos

Eclipse en Mac, recibiendo "Especificados VM instalar no se encuentra" error al tratar de construir

Cuando intento hacer una Hormiga construir en mi mac (Snow Leopard, el Eclipse 3.6 - Helios) me sale un error de diálogo que dice

"El Problema Se Ha Producido"
'El lanzamiento de projectName build.xml" se ha encontrado un problema. Especifica instalación de VM no encontrado: tipo Estándar VM, nombre jdk1.5.0_14

Ni siquiera puedo encontrar cualquier configuración de las preferencias de Eclipse en el que se especifica para el uso de jdk1.5.0_14.

Cuando fui a mis preferencias y fui a la sección Java y miró a la Instalada JREs, el único que me ha especificado es 1.6.0. Donde se está haciendo el ajuste a intentar con la 1.5? (O estoy ladrando al árbol equivocado?)

74voto

Su lanzador proyecto hormiga se refiere por alguna razón a un entorno Java 5.

Seleccione "Ejecutar como configuraciones de->" y ubicar la compilación de hormiga. Entonces indicar que quieres esta configuración para correr con una JVM de Java 6.

8voto

Koekiebox Puntos 2133

Elimine el archivo ".metadata.plugins\org.eclipse.debug.core.launches\ build.xml.launch" y problema resuelto".

2voto

George Puntos 21

Esto es sólo una actualización de los anteriormente publicados solución para las versiones posteriores de Eclipse, como el PTS.

  1. Si su Vista Ant es abierto, R-haga clic en la raíz (de lo contrario Ejecutar -> External Tools -> Herramientas Externas Configuraitons)
  2. Run as -> Herramientas Externas Configuraciones ...
  3. Su Ant lanzamiento debe ser seleccionado en el Exterior de las Herramientas de lanzadores, si no se selecciona manualmente
  4. Ir a la JRE ficha
  5. Seleccione Ejecutar en el mismo JRE como el área de trabajo - también puede seleccionar un diferentes JRE utilizando los botones de la derecha.
  6. Volver a ejecutar la tarea ant(s) - esta vez no va a obtener el mensaje de error.

0voto

cmcculloh Puntos 11040

Había un montón de cosas que tenía mal que cambié para arreglar esto, pero yo creo que fue la pieza fundamental un %ATG_HOME%/home/localconfig/dasENV.sh archivo tenía un ATGJRE un camino que era incorrecto.

-1voto

Haga clic derecho sobre el proyecto y seleccione Propiedades. Ir al compilador de Java y hacen que se establece el nivel de cumplimiento del compilador 1.6 en lugar de 1.5. Creo que debería hacer el truco.

Iteramos.com

Iteramos es una comunidad de desarrolladores que busca expandir el conocimiento de la programación mas allá del inglés.
Tenemos una gran cantidad de contenido, y también puedes hacer tus propias preguntas o resolver las de los demás.

Powered by:

X